it.csi.mddtools.guigen

## Interface WAYFRequestAdapter

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface WAYFRequestAdapter
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'WAYF Request Adapter'.

  The following features are supported:

  - `Source Type`
  - `Info Source Name`
  See Also:
    `GuigenPackage.getWAYFRequestAdapter()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getInfoSourceName()` Returns the value of the 'Info Source Name' attribute
    `InfoSourceTypes` | `getSourceType()` Returns the value of the 'Source Type' attribute.
    `void` | `setInfoSourceName(java.lang.String value)` Sets the value of the '`Info Source Name`' attribute
    `void` | `setSourceType(InfoSourceTypes value)` Sets the value of the '`Source Type`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getSourceType

          InfoSourceTypes getSourceType()

      Returns the value of the 'Source Type' attribute. The literals are from the enumeration `InfoSourceTypes`.

      If the meaning of the 'Source Type' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Source Type' attribute.
      See Also:
        `InfoSourceTypes`, `setSourceType(InfoSourceTypes)`, `GuigenPackage.getWAYFRequestAdapter_SourceType()`

    - #### setSourceType

          void setSourceType(InfoSourceTypes value)

      Sets the value of the '`Source Type`' attribute.
      Parameters:
        `value` - the new value of the 'Source Type' attribute.
      See Also:
        `InfoSourceTypes`, `getSourceType()`

    - #### getInfoSourceName

          java.lang.String getInfoSourceName()

      Returns the value of the 'Info Source Name' attribute.

      If the meaning of the 'Info Source Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Info Source Name' attribute.
      See Also:
        `setInfoSourceName(String)`, `GuigenPackage.getWAYFRequestAdapter_InfoSourceName()`

    - #### setInfoSourceName

          void setInfoSourceName(java.lang.String value)

      Sets the value of the '`Info Source Name`' attribute.
      Parameters:
        `value` - the new value of the 'Info Source Name' attribute.
      See Also:
        `getInfoSourceName()`